# Interface methods for submodule: MetaImageIO
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageIOBaseProxy as _ImageIOBaseProxy


# Interface methods for class: MetaImageIO
class MetaImageIOProxy(_ImageIOBaseProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SupportsDimension(self, arg0: int) -> bool:
		""""""
		...

	def CanReadFile(self, arg0) -> bool:
		""""""
		...

	def ReadImageInformation(self) -> None:
		""""""
		...

	def Read(self, buffer) -> None:
		""""""
		...

	def GetMetaImagePointer(self):
		""""""
		...

	def CanWriteFile(self, arg0) -> bool:
		""""""
		...

	def WriteImageInformation(self) -> None:
		""""""
		...

	def Write(self, buffer) -> None:
		""""""
		...

	def SetDataFileName(self, filename) -> None:
		""""""
		...

	def SetDoublePrecision(self, precision: int) -> None:
		""""""
		...

	def GenerateStreamableReadRegionFromRequestedRegion(self, requestedRegion):
		""""""
		...

	def GetActualNumberOfSplitsForWriting(self, numberOfRequestedSplits: int, pasteRegion, largestPossibleRegion) -> int:
		""""""
		...

	def GetSplitRegionForWriting(self, ithPiece: int, numberOfActualSplits: int, pasteRegion, largestPossibleRegion):
		""""""
		...

	def CanStreamRead(self) -> bool:
		""""""
		...

	def CanStreamWrite(self) -> bool:
		""""""
		...

	def SetSubSamplingFactor(self, _arg: int) -> None:
		""""""
		...

	def GetSubSamplingFactor(self) -> int:
		""""""
		...

	@staticmethod
	def SetDefaultDoublePrecision(precision: int) -> None:
		""""""
		...

	@staticmethod
	def GetDefaultDoublePrecision() -> int:
		""""""
		...

